## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanFStreamOutputStream Class Reference

`#include <XalanFStreamOutputStream.hpp>`

Inheritance diagram for XalanFStreamOutputStream:

[legend]
Collaboration diagram for XalanFStreamOutputStream:

[legend]
List of all members.

## Public Types

- enum { eDefaultBufferSize = 8192 }

## Public Methods

- XalanFStreamOutputStream (FILE *theFileHandle, MemoryManagerType &theManager, unsigned int theBufferSize=eDefaultBufferSize)
    Construct a XalanFStreamOutputStream object. More...
- virtual ~XalanFStreamOutputStream ()

## Static Public Methods

- XalanFStreamOutputStream* create (FILE *theFileHandle, MemoryManagerType &theManager, unsigned int theBufferSize=eDefaultBufferSize)

## Protected Methods

- virtual void writeData (const char *theBuffer, size_type theBufferLength)
    Write the data in the buffer. More...
- virtual void doFlush ()
    Flush the stream. More...

## Member Enumeration Documentation

anonymous enum

  | Enumeration values:
  eDefaultBufferSize |

## Constructor & Destructor Documentation

XalanFStreamOutputStream::XalanFStreamOutputStream ( | FILE * theFileHandle,
| MemoryManagerType & theManager,
| unsigned int theBufferSize = eDefaultBufferSize )

  | Construct a XalanFStreamOutputStream object. Parameters:
  theHandle | handle of file. Must not be null.
  theBufferSize | The size of the transcoding buffer

XalanFStreamOutputStream::~XalanFStreamOutputStream ( | )`[virtual]`

## Member Function Documentation

XalanFStreamOutputStream * XalanFStreamOutputStream::create ( | FILE * theFileHandle,
| MemoryManagerType & theManager,
| unsigned int theBufferSize = eDefaultBufferSize )`[static]`

void XalanFStreamOutputStream::doFlush ( | )`[protected, virtual]`

| Flush the stream. Reimplemented from XalanOutputStream.

void XalanFStreamOutputStream::writeData ( | const char * theBuffer,
| size_type theBufferLength )`[protected, virtual]`

  | Write the data in the buffer. Parameters:
  theBuffer | The data to write
  theBufferLength | The length of theBuffer.
Reimplemented from XalanOutputStream.

The documentation for this class was generated from the following file:

- XalanFStreamOutputStream.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.